> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gameball.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Customer

> Remove a customer profile and associated data from the system.

The API call removes the customer identified by `customerId` from the system. This removes the customer profile and associated data.

<Info>
  This API can also be accessed using the **POST** method for systems that do not support **DELETE**. In such cases, simply use **/customers/{customerId}/delete** endpoint to achieve the same functionality.
</Info>

<Warning>
  **Security**: Requires **apikey** and **secretkey** headers.
</Warning>


## OpenAPI

````yaml DELETE /api/v4.0/integrations/customers/{customerId}
openapi: 3.1.0
info:
  title: Gameball API
  description: >-
    Gameball REST API v4.0 - Complete API reference for integrating loyalty,
    gamification, and customer engagement features
  version: 4.0.0
servers:
  - url: https://api.gameball.co
security:
  - bearerAuth: []
paths:
  /api/v4.0/integrations/customers/{customerId}:
    delete:
      summary: Delete Customer
      description: Remove a customer profile and associated data from the system.
      operationId: deleteCustomer
      parameters:
        - name: customerId
          in: path
          required: true
          schema:
            type: string
          description: Unique identifier for the customer
      responses:
        '200':
          description: Customer deleted successfully
      security:
        - apiKey: []
          secretKey: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
    apiKey:
      type: apiKey
      in: header
      name: apikey
    secretKey:
      type: apiKey
      in: header
      name: secretkey

````